#version 330
// From Vertex Shader
in vec3 vcolor;
in vec2 vpos; // Distance from local origin
in vec2 uvcoord; //UV coordinate

// Application data
uniform sampler2D s_texture;
uniform vec4 fcolor;
uniform int light_up;

// Output color
layout(location = 0) out  vec4 color;

void main()
{
	vec4 texColor = texture(s_texture, uvcoord*1.0);
	color = fcolor*texColor;
	//color = fcolor*vec4(vcolor,1.0)*texColor;
	//color = vec4(vcolor,1.0)*texColor;
	//color = fcolor*texColor;
	/*
	float radius = distance(vec2(0.0), vpos);
	if (light_up == 1 && radius < 1.0)
	{
		// 0.6 is just to make it not too strong
		color.xyz += (1.0 - radius) * 0.6 * vec3(1.0, 1.0, 1.0);
	}
	*/
}